当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 在AMD64 Ubuntu 7.04上安装Opera(还是存在冲突问题,不太实用)
帖子发表于 : 2007-07-28 8:27 

注册: 2006-04-29 14:54
帖子: 1187
地址: 山东
送出感谢: 0 次
接收感谢: 0 次
Opera现在还不提供AMD64的包,仅提供i386的软件包。但i386的包却在强行安装后无法启动,提示错误:
引用:
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
/usr/lib/opera/9.22-20070716.6/opera: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory


后来在国外的论坛上找到了解决办法:
http://ubuntuforums.org/showthread.php?t=413040
引用:
Guide: Opera 9.20 + Flash working in Feisty!
Hi, I like Opera a bit more than firefox (better mouse gestures IMO and takes a bit less memory when being open for a while with a lots of tabs opened) and thought that I could try to write clear instructions how I struggled to get Opera + flash (yeah to get those youtubes rolling) working in 64bit Feisty. It might be that some of these steps are not required but hey, so is not a marriage but still ppl do it. Wonder why.. Feisty is out! Enough of bs, so here we go:

1. Download Opera 9.20 static from http://www.opera.com/download/get.pl...++++&x=66&y=23
and do

sudo dpkg --force-architecture -i opera-static_9.20-20070409.1-qt_en_i386.deb

2. Then download http://packages.ubuntu.com/cgi-bin/d...i386&type=main
and do

sudo dpkg -i --force-architecture lesstif2_0.93.94-11.4ubuntu3_i386.deb

3. Then Download http://www.opera.com/download/linux/....30-5_i386.deb
and do

sudo dpkg -i --force-all openmotif_2.1.30-5_i386.deb

4. Get Flash 9 from http://fpdownload.macromedia.com/get...9_linux.tar.gz
extract it somewhere.. like aint no place like $home so there u go. Then go there and do

cd install_flash_player_9_linux/
sudo cp libflashplayer.so /usr/lib/opera/plugins
sudo cp flashplayer.xpt /usr/lib/opera/plugins

5. Some of these following packages are, and some are not required but what the hell, install them all. Why? Why a dog licks his balls? Yes my friend, because he can. So do

sudo aptitude install ia32-libs ia32-libs-sdl ia32-sun-java5-bin ia32-libs-gtk flashplugin-nonfree sun-java6-plugin sun-java6-jre

6. Get qt3 libs from: http://mirrors.kernel.org/ubuntu/poo...untu5_i386.deb and do

sudo dpkg -i --force-architecture libqt3-mt_3.3.8really3.3.7-0ubuntu5_i386.deb

Now launch your awesome browser and go check out some por... news and stuff!
__________________


按其提供的步骤操作就可以,当然,如果flash有问题,请先按照本版块上的文章操作。
注意:上面转帖中Opera的版本并不是最新的,可到www.opera.com上去下载Linux i386架构的9.22版。
还有,lesstif2也有新版 http://mirrors.kernel.org/ubuntu/pool/universe/l/lesstif2/lesstif2_0.94.4-2_i386.deb


_________________
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知


最后由 lisir 编辑于 2007-07-28 16:02,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-07-28 16:00 

注册: 2006-04-29 14:54
帖子: 1187
地址: 山东
送出感谢: 0 次
接收感谢: 0 次
还是存在问题,就是在安装由于使用了libqt3-mt的32位包,所以原来直接从源里安装的64位的 amarok等依赖libqt3-mt的软件都出问题了,新立得提示包损坏,但重新安装源里的64位libqt3-mt又无法使用opera,真是两难,除非依赖libtq3-mt的软件也都安装32位包。


_________________
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译